import 'package:apk_update/core/common/app_upgrade_config.dart';
import 'package:apk_update/core/services/version_service/impl/carrier_version_Impl.dart';
import 'package:apk_update/core/services/version_service/impl/msl_version_Impl.dart';
import 'package:apk_update/core/services/version_service/impl/pm_version_Impl.dart';

import 'version_service.dart';

/// 版本服务工厂
class VersionServiceFactory {
  static VersionService create(
      {required AppUpgradeConfig config, required String type}) {
    switch (type) {
      case "msl":
        return MSLVersionImpl(config: config);
      case "carrier":
        return CarrierVersionImpl(config: config);
      case "pm":
        return PMVersionImpl(config: config);
      default:
        throw UnsupportedError("暂不支持该平台下发移动端升级");
    }
  }
}
